### Method

# Fwupd Device from_json

since: 1.8.3

#### Declaration [src]

    gboolean
    fwupd_device_from_json (
      FwupdDevice* self,
      JsonNode* json_node,
      GError** error
    )

#### Description [src]

Loads a fwupd security attribute from a JSON node.

Available since: 1.8.3

#### Parameters

`json_node`

  Type: `JsonNode`

  A JSON node.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.